/************************************************************

		hydrafile.h

   Types and constants for the hydra I/O file system.

************************************************************/


/*  CONSTANTS  */

#define NUM_FIELDS 14	/* number of fields in an input line */

/*  STRUCTURES */

struct inField{

   char rawText[128];	/* raw field from input line */
   int  itemType;	/* classification of field (computed) */
   char *dataPtr;	/* pointer to where the data was/will be put.
			   This may be a cast pointer to any type! */
};

typedef struct inFieldEntry{
   struct inField field[ NUM_FIELDS ];
   struct inFieldEntry  *nextLine;
}inputLine, *pInputLine;


/*  EXTERNS  */

